<%@ page import="java.util.Date" %>

<%

	//Log log = LogFactory.getLog(ClusterAppSessionListener.class);

	// Variables for Log4J messages
	String tomcatInstance="TC01";
	String appName="clusterapp";
	String objectName="sessiondata.jsp";
	long t1=0;
	long t2=0;

	t1 = System.currentTimeMillis();
	//WebPortalLogger.logStartTime(tomcatInstance,appName,objectName,t1);
	
	// Log session details
	System.out.println("Session ID :         " + session.getId());
	System.out.println("Creation Time :      " + new Date(session.getCreationTime()));
	System.out.println("Last Accessed Time : " + new Date(session.getLastAccessedTime()));
	System.out.println("New Session :        " + session.isNew());

	// List to store session attribute names
	java.util.List attrList = new java.util.ArrayList();
	String attrName  = "";
	String attrValue = "";
	
	// check for method request parameter
	if (request.getParameter("method") != null) {
		String methodParam = request.getParameter("method");
		// add session attribute
		if (methodParam.equals("addAttr")) {
			if (!"".equals(request.getParameter("addAttrName")) && 
			    !"".equals(request.getParameter("addAttrValue"))) {
				attrName  = request.getParameter("addAttrName");
				attrValue = request.getParameter("addAttrValue");
				System.out.println("Add session attribute: " + attrName + "=" + attrValue);
				session.setAttribute(attrName,attrValue);
			}
		}
		// modify session attribute
		if (methodParam.equals("modifyAttr")) {
			if (!"".equals(request.getParameter("modifyAttrName")) && 
			    !"".equals(request.getParameter("modifyAttrValue"))) {
				attrName  = request.getParameter("modifyAttrName");
				attrValue = request.getParameter("modifyAttrValue");
				System.out.println("Modify session attribute: " + attrName + "=" + attrValue);
				session.setAttribute(attrName,attrValue);
			}
		}
		// remove session attribute
		if (methodParam.equals("removeAttr")) {
			if (!"".equals(request.getParameter("removeAttrName"))) {
				attrName  = request.getParameter("removeAttrName");
				System.out.println("Remove session attribute: " + attrName);
				session.removeAttribute(attrName);
			}
		}
	}
%>

<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<title>Session Details</title>

<script>

	function submitRequest(reqParam) {
		var action = "sessiondata.jsp?method="+reqParam;
		//alert("action="+action);
		document.SessionInfoForm.action=action;
		document.SessionInfoForm.submit();
	}
	
</script>

</head>

<body>

<p>TC-01 : TEST JSP </p>

<center>
	<h4>Session Details</h4>
</center>

<table width="100%">
	<tr>
		<td>
			<table border="1">
				<tr>
					<td><b>Session ID</b></td>
					<td><%= session.getId() %></td>
				</tr>
				<tr>
					<td><b>Creation Time</b></td>
					<td><%= new Date(session.getCreationTime()) %></td>
				</tr>
				<tr>
					<td><b>Last Accessed Time</b></td>
					<td><%= new Date(session.getLastAccessedTime()) %></td>
				</tr>
				<tr>
					<td><b>New Session</b></td>
					<td><%= session.isNew() %></td>
				</tr>
			</table>
		</td>
	</tr>

	<tr><td>&nbsp;</td></tr>

	<tr>
		<td>
			<table border="1">
				<tr>
					<td colspan="2"><b>Session Attributes:</b></td>
				</tr>

				<tr>
					<th>Attr Name</th>
					<th>Attr Value</th>
				</tr>
				<%
					java.util.Enumeration enum = session.getAttributeNames();
					while (enum.hasMoreElements()) {
					  attrName = (String)enum.nextElement();
					  attrList.add(attrName);
					  attrValue = (String)session.getAttribute(attrName);
					  //System.out.println(attrName+"="+attrValue);
				%>

				<tr>
					<td><%=attrName %></td>
					<td><%=attrValue %></td>
				</tr>

				<%
					}
				%>

			</table>
		</td>
	</tr>

	<tr><td>&nbsp;</td></tr>

	<tr>
		<td>
			<form name="SessionInfoForm" action="" method="POST">

			<!--  Add Attribute  -->
			<table width="90%" border="0" align="left" cellpadding="1" cellspacing="1">
		  		<tr>
				  <td colspan="3"><b>Add Session Attribute:</b></td>
			  </tr>
			  <tr>
				  <td>Attribute Name:</td>
				  <td>Attribute Value:</td>
				  <td>&nbsp;</td>
			  </tr>
			  <tr>
				 <td>
					<input type="text" name="addAttrName" size="18">
				 </td>
				 <td>
					<input type="text" name="addAttrValue" size="18">
				 </td>
				 <td>
					<input type="button" name="addAttr" value="Add Attribute" onclick="submitRequest('addAttr')">
				 </td>
			  </tr>
			</table>
		</td>
	</tr>

	<tr><td>&nbsp;</td></tr>

	<tr>
		<td>
			<!--  Modify Attribute  -->
			<table width="90%" border="0" align="left" cellpadding="1" cellspacing="1">
			  <tr>
				  <td colspan="3"><b>Modify Session Attribute:</b></td>
			  </tr>
			  <tr>
				  <td>Attribute Name:</td>
				  <td>Attribute Value:</td>
				  <td>&nbsp;</td>
			  </tr>
			  <tr>
				 <td>
					<select name="modifyAttrName" size="1">
						<option value="">Session Attributes:</option>
						<%
							java.util.Iterator it = attrList.iterator();
							while (it.hasNext()) {
								String data = (String)it.next();
						%>
						<option value="<%= data %>"><%= data %></option>
						<%
							}
						%>
					</select>
				 </td>
				 <td>
					<input type="text" name="modifyAttrValue" size="20">
				 </td>
				 <td>
					<input type="button" name="modifyAttr" value="Modify Attribute" onclick="submitRequest('modifyAttr')">
				 </td>
			  </tr>
			</table>
		</td>
	</tr>

	<tr><td>&nbsp;</td></tr>

	<tr>
		<td>
			<!--  Remove Attribute  -->
			<table width="90%" border="0" align="left" cellpadding="1" cellspacing="1">
				<tr>
					<td colspan="3"><b>Remove Session Attribute:</b></td>
				</tr>
				<tr>
				  <td>Attribute Name:</td>
				  <td>Attribute Value:</td>
				  <td>&nbsp;</td>
			  </tr>
			  <tr>
				 <td>
					<select name="removeAttrName" size="1">
						<option value="">Session Attributes:</option>
						<%
							java.util.Iterator listIterator = attrList.iterator();
							while (listIterator.hasNext()) {
								String data = (String)listIterator.next();
						%>
						<option value="<%= data %>"><%= data %></option>
						<%
							}
						%>
					</select>
				 </td>
				 <td>
					<input type="text" name="removeAttrValue" size="20">
				 </td>
				 <td>
					<input type="button" name="removeAttr" value="Remove Attribute" onclick="submitRequest('removeAttr')">
				 </td>
			  </tr>
			</table>
			</form>
		</td>
	</tr>
</table>

</body>
</html>

<%
	t2 = System.currentTimeMillis();
	//WebPortalLogger.logFinishTime(tomcatInstance,appName,objectName,t1,t2);
%>
