package com.clusterapp.session;

import java.util.HashMap;
import java.util.LinkedList;
import java.util.Random;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.clusterapp.servlet.ReplicationServlet;

public class BigSessionAttribute extends SessionAttribute implements java.io.Serializable {
   
   private static Log sLog = LogFactory.getLog(BigSessionAttribute.class);

//	protected String[] values = new String[0];
   
   private int iterCount = 26;
   
   private static Random random = new Random(System.currentTimeMillis());

   public BigSessionAttribute() {
      setValues();
   }

	public int hashCode() {
	   return 0;
	}

	public Object[] getValues() {
	   return values;
	}

	public void setValues(Object[] values) {
	   this.values = values;
	}

	public void setValues() {
	   this.values = buildList().toArray();
	}

	private LinkedList buildList() {
	   LinkedList list = new LinkedList();
	   
	   for (int i = 0; i < iterCount; i++) {
	      list.add(buildMap());
	   }
	   return list;
	}

	private HashMap buildMap() {
	   HashMap map = new HashMap();

//	      byte[] keyBytes = new byte[32];
//	      byte[] valBytes = new byte[128];
	   int keyBytes = 0;
	   int valBytes = 0;

	   for (int i = 0; i < iterCount; i++) {
//	         random.nextBytes(keyBytes);
//	         random.nextBytes(valBytes);
	      keyBytes = random.nextInt();
	      valBytes = random.nextInt();

	      map.put((new Integer(keyBytes)).toString(), (new Integer(valBytes)).toString());
	   }
	   return map;
	}

}
