package com.clusterapp.session;

public abstract class SessionAttribute implements java.io.Serializable {

	protected Object[] values = new Object[0];

	public SessionAttribute() {
	}

	/**
	 *
    * @return The string representation of this class attribute
    */
	public String toString() {
		return SessionAttributeFactory.toString(this);
	}

	public Object[] getValues() {
		return values;
	}

	public void setValues(Object[] values) {
		this.values = values;
	}

	public abstract void setValues();

	public int hashCode() {
		return 0;
	}

	public boolean equals(Object another) {
		if (!(another instanceof SessionAttribute)) return false;
		SessionAttribute other = (SessionAttribute)another;
		return this.toString().equals(other.toString());
	}

}
