package com.clusterapp.session;

import java.util.StringTokenizer;
import java.util.ArrayList;
import java.util.List;

public class SessionAttributeFactory {

	protected SessionAttributeFactory() {
	}

	public static SessionAttribute getSessionAttribute(String sessionAttr) {
		try {
			String className = sessionAttr.substring(17,
					sessionAttr.indexOf("]", 18));
			SessionAttribute attr = (SessionAttribute) Thread.currentThread().
					getContextClassLoader().loadClass(className).newInstance();
			String values  = sessionAttr.substring(sessionAttr.lastIndexOf(']')+1);
			StringTokenizer t = new StringTokenizer(values,",");
			List l = new ArrayList();
			while ( t.hasMoreTokens() ) {
				l.add(t.nextToken());
			}//while
			String[] ddd = new String[l.size()];
			l.toArray(ddd);
			attr.setValues(ddd);
			return attr;
		} catch  ( Exception x ) {
			throw new IllegalArgumentException("Unable to reinstantiate SessionAttribute msg="+x.getMessage());
		}
	}

	public static String toString(SessionAttribute attr) {
		StringBuffer buf = new StringBuffer("SessionAttribute[");
		buf.append(attr.getClass().getName()).append("] Values=[");
		buf.append(attr.getValues().length).append("]");
		for (int i=0; i<attr.getValues().length; i++) {
			buf.append(attr.getValues()[i]).append(",");
		}//for
		return buf.toString();
	}

}
